Skip to main content

Get Insights Reports

API Description

Get a list of report resources matching query parameters. Use a report's id in the response to optionally [retrieve] a report's details.

Request

URI Parameters

NameInput
orgId
REQUIRED

Query Parameters

Filters to apply on the operation. Refer to Reference for list of operators.

NameInput
id
OPTIONAL
createdDate
OPTIONAL
state
OPTIONAL
Path Template
GET {url}/api/{version}/orgs/{orgId}/reports?ql={query_parameter};{query_parameter}
Path Example
GET {url}/api/v1/orgs/9467895078742654934/reports?

Request Headers

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body

None

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 90e37155-2e8a-4584-b72f-e07d54e45x43
content-type: application/json

Response Body

ParentNameOutput
$.data[]
REQUIRED
$.total
REQUIRED
data[]orgId
REQUIRED
data[]id
REQUIRED
data[]createdDate
REQUIRED
data[]expiryDate
REQUIRED
data[]state
REQUIRED
data[]request
REQUIRED
Example Response Body (raw JSON)
{
"data": [
{
"orgId": "1503353735269908480",
"id": "9467895078742654967",
"createdDate": "2026-10-01T12:36:46.009Z",
"expiryDate": "2026-11-02T12:36:46.009Z",
"state": "COMPLETED",
"request": {
"resourceType": "LOCATION",
"resourceId": "180416478659477558",
"reportName": "SEARCH_LOCATION_TAP",
"startDate": "2026-10-01",
"endDate": "2026-10-07",
"timezone": "UTC",
"useLocalTime": false,
"timeGranularity": "DAY"
}
},
{
"orgId": "9467895078742654934",
"id": "9467895078742654931",
"completedDate": "2026-10-01T07:35:11.00Z",
"expiryDate": "2026-11-02T07:35:11.00Z",
"state": "PROCESSING",
"request": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654976",
"reportName": "PLACECARD_CTA",
"startDate": "2026-10-01",
"endDate": "2026-10-21",
"timezone": "America/New_York",
"useLocalTime": true,
"timeGranularity": "WEEK"
}
}
]
}